//
//  XTHtmlTagBig.m
//  XTads
//
//  Created by Rune Berg on 12/07/16.
//  Copyright © 2016 Rune Berg. All rights reserved.
//

#import "XTHtmlTagBig.h"


@implementation XTHtmlTagBig

+ (NSString *)name
{
	return @"big";
}

+ (BOOL)standalone
{
	return NO;
}

- (XTFormattingSpecification *)makeFormattingSpecificationFrom:(XTFormattingSpecification *)formattingSpec
{
	XTFormattingSpecification *res = [XTFormattingSpecification specificationFrom:formattingSpec];
	NSInteger newHtmlSize = [formattingSpec getBaseHtmlSize] + 1;
	if (newHtmlSize > 7) {
		newHtmlSize = 7;
	}
	res.htmlSize = newHtmlSize;
	return res;
}

@end
